#!/usr/bin/env python

# Name: setup.py
# Purpose: xdp distutils install program
# Author: Ken McIvor <mcivor@iit.edu>
#
# Copyright 2003-2005 Illinois Institute of Technology
#
# See the file "LICENSE" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.

try:
    from setuptools import Extension
except ImportError:
    from distutils.core import Extension


NAME = 'xdp'
VERSION = '1.5.9'
AUTHOR = 'Ken McIvor'
AUTHOR_EMAIL = 'mcivor@iit.edu'
LICENSE = 'MIT X11/XFree86 style'
DESCRIPTION = 'A library for writing x-ray data processing application'

PACKAGE_DIR = {'': 'lib'}
PACKAGES = ['xdp', 'xdp.io', 'xdp.interpolate']
EXT_MODULES = [
    Extension("xdp.io._matrixio", ['src/_matrixio.c'],
        include_dirs=['include']),
    Extension("xdp.interpolate._bezier", ['src/_bezier.c'],
        include_dirs=['include'])
    ]

execfile('metasetup.py')
